Get paginated achievements
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/achievements \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/achievements"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/achievements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"edges": [
{
"id": "<string>",
"organisationId": "<string>",
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"tags": [
"<string>"
],
"campaigns": [
"<string>"
],
"criteria": {
"type": "<string>",
"parameters": {
"query": "<string>",
"attribute": "<string>",
"value": 123
}
},
"queries": [
{
"type": "<string>",
"alias": "<string>",
"parameters": {
"eventName": "<string>",
"eventSourceId": "<string>",
"tags": [
"<string>"
]
},
"isCommunityScoped": true
}
],
"queryDescriptions": {},
"availableAsTemplateForOrganisations": [
"<string>"
],
"isGlobalTemplate": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"rewardDistribution": {
"points": 1,
"xp": 1,
"distributionEventId": "<string>",
"rewardAllocations": [
{
"rewardId": "<string>",
"allocationId": "<string>",
"amountToDistribute": 2
}
],
"numberOfRewardsToReceive": 1
},
"createdBy": "<string>",
"updatedBy": "<string>",
"communityId": "<string>",
"featured": true,
"startsAt": "<string>",
"expiresAt": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Achievements
Get paginated achievements
Retrieve a paginated list of achievements.
GET
/
achievements
Get paginated achievements
Authorizations
Headers
The language to return the achievements in. If not provided, the default language for the organisation will be used.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I

